Update Agent
curl --request PATCH \
--url https://app.specurate.com/api/admin/api/assistant/agents/{agentId} \
--header 'Content-Type: application/json' \
--data '
{
"instructions": "<string>",
"modelId": "<string>",
"enabled": true,
"attachmentsEnabled": true,
"requiredRouteKey": "<string>",
"skills": [
{
"skillId": "<string>",
"position": 123
}
],
"suggestions": [
"<string>"
],
"tools": [
{
"toolName": "<string>",
"enabled": true
}
],
"expectedVersion": 123
}
'import requests
url = "https://app.specurate.com/api/admin/api/assistant/agents/{agentId}"
payload = {
"instructions": "<string>",
"modelId": "<string>",
"enabled": True,
"attachmentsEnabled": True,
"requiredRouteKey": "<string>",
"skills": [
{
"skillId": "<string>",
"position": 123
}
],
"suggestions": ["<string>"],
"tools": [
{
"toolName": "<string>",
"enabled": True
}
],
"expectedVersion": 123
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
instructions: '<string>',
modelId: '<string>',
enabled: true,
attachmentsEnabled: true,
requiredRouteKey: '<string>',
skills: [{skillId: '<string>', position: 123}],
suggestions: ['<string>'],
tools: [{toolName: '<string>', enabled: true}],
expectedVersion: 123
})
};
fetch('https://app.specurate.com/api/admin/api/assistant/agents/{agentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Assistant Admin
Update Agent
PATCH
/
admin
/
api
/
assistant
/
agents
/
{agentId}
Update Agent
Path Parameters
Body
application/json
Required string length:
1 - 100000Required string length:
1 - 255Required string length:
1 - 128Maximum array length:
100Show child attributes
Show child attributes
Maximum array length:
8Required string length:
1 - 200Maximum array length:
100Show child attributes
Show child attributes
Required range:
x <= 9007199254740991Response
200 - undefined
⌘I